<template>
	<view>
		<web-view :webview-styles="webviewStyles" :src="url"></web-view>
	</view>
</template>

<script>
	import {
		metaSetScalable
	} from "../../common/navTo";
	export default {
		data() {
			return {
				webviewStyles: {
					progress: {
						color: "#007AFF",
					}
				},
				url: "",
			};
		},
		onLoad(option) {
			this.url = decodeURIComponent(option.url);
			console.log(this.url,'url')
			// #ifdef H5
			metaSetScalable();
			// #endif
		},
		onUnload() {
			this.$api.lockDelLock({
				action: "jxjy",
				uuid: this.$method.getUuid(),
			}).then(res => {
				console.log("删除登录", res)
			});
		}
	};
</script>

<style></style>